package gdsearch.vo;

import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

@PersistenceCapable
public class TableProperty {
    @PrimaryKey
    @Persistent
    private Long id;
    @Persistent
    private String table;
    @Persistent
    private String property;
    @Persistent
    private String value;

    public TableProperty() {}
    public Long   getId()       { return id;       }
    public String getTable()    { return table;    }
    public String getProperty() { return property; }
    public String getValue()    { return value;    }

    public void setId      (Long   id      ) { this.id       = id;       }
    public void setTable   (String table   ) { this.table    = table;    }
    public void setProperty(String property) { this.property = property; }
    public void setValue   (String value   ) { this.value    = value;    }
}